Skip to main content

0.015 credits per call

trace_call on BNB Smart Chain (BSC): Returns the Parity-style trace of an eth_call.
trace_call requires archive depth. See the debug & trace matrix for BNB Smart Chain (BSC) archive coverage.

Endpoint

https://rpc.goldrushdata.com/v1/bsc-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
callObjectObjectyesSame shape as eth_call’s call object.{"to":"0xa0b86991...","data":"0x70a08231..."}
traceTypesArray<String>yesTrace types to include. One or more of trace, vmTrace, stateDiff.["trace", "stateDiff"]
blockTagQUANTITY | TAGnoBlock number (hex) or block tag. Defaults to latest."latest"

Returns

Object: {output, trace[], stateDiff?, vmTrace?}
{"output":"0x","trace":[{"action":{"from":"0x...","to":"0x..."}}]}

Examples

curl https://rpc.goldrushdata.com/v1/bsc-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "trace_call",
    "params": [{"to":"0xa0b86991...","data":"0x70a08231..."}, ["trace", "stateDiff"], "latest"]
  }'
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/bsc-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("trace_call", [{"to":"0xa0b86991...","data":"0x70a08231..."}, ["trace", "stateDiff"], "latest"]);
console.log(result);
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/bsc-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "trace_call",
  params: [{"to":"0xa0b86991...","data":"0x70a08231..."}, ["trace", "stateDiff"], "latest"],
});
console.log(result);
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/bsc-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "trace_call",
  params: [{"to":"0xa0b86991...","data":"0x70a08231..."}, ["trace", "stateDiff"], "latest"],
});
console.log(result);
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/bsc-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("trace_call", [{"to":"0xa0b86991...","data":"0x70a08231..."}, ["trace", "stateDiff"], "latest"])
print(result)

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on